## javanet.staxutils.events
Class CommentEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.CommentEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, Comment, XMLEvent, XMLStreamConstants

    public class CommentEvent

extends AbstractXMLEvent
implements Comment

`Comment` event implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected String` `text` Comment text.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`CommentEvent(Comment that)` Copy constructor.
`CommentEvent(String text)`
`CommentEvent(String text, Location location)`

Method Summary
`int` `getEventType()` Returns `XMLStreamConstants.COMMENT`.
`String` `getText()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### text

    protected String text

  Comment text.

Constructor Detail

### CommentEvent

    public CommentEvent(String text)

### CommentEvent

    public CommentEvent(String text,
                        Location location)

### CommentEvent

    public CommentEvent(Comment that)

  Copy constructor.

  Parameters:
    `that` - The comment to copy.

Method Detail

### getText

    public String getText()

  Specified by:
    `getText` in interface `Comment`

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.COMMENT`.

  Specified by:
    `getEventType` in interface `XMLEvent`